### Method

# Gio DBusInterfaceInfo cache_build

since: 2.30

#### Declaration

    void
    g_dbus_interface_info_cache_build (
      GDBusInterfaceInfo* info
    )

#### Description

Builds a lookup-cache to speed up g_dbus_interface_info_lookup_method(), `g_dbus_interface_info_lookup_signal()` and g_dbus_interface_info_lookup_property().

If this has already been called with `info`, the existing cache is used and its use count is increased.

Note that `info` cannot be modified until `g_dbus_interface_info_cache_release()` is called.

Available since: 2.30